<?

class Progress_bar {
	
	static $last_procent = -1; // чтобы, если пришел ноль, он был показан
	
	static function set($procent) {
		GLOBAL $log, $INFO;
		
		if(!empty($INFO['hide_proc'])) {
			c('Fm->display_progress_proc')->text = '---- %';
			return true;
		}

		#logFile('Progress_bar::set() round. ' . var_dump_str($procent));
		$procent = round_nobug($procent, 3);

		#logFile('Progress_bar::set() round . end');
		// обновляем бар только если процент изменился
		if(self::$last_procent == $procent)
			return false;
		
		//$log->line('set ' . $procent);
		
		if(!$procent)
			$procent = 0;
		
		c('Fm->display_progress_proc')->text =  sprintf('%03.3f', $procent) . ' %' ;
		//c('Fm->progress_bar')->position = $procent; 
		
		self::$last_procent = $procent;
	}
}




?>